Register someone for a session

Register a new participant for a session (either an external registrant or internal team member).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

This endpoint requires the events:write scope.

How to use this endpoint

This endpoint lets you create new registrants for one of your upcoming event sessions. Make sure to fill in the email, which is the only mandatory field to register someone through the API.

How to provide the avatar of a registrant

In order to provide the avatar of a registrant, you can specify a public URL towards an image file. Livestorm accepts PNG, JPG and JPEG files.

How to fill custom fields

When registering someone for an event session, his or her fields need to be provided as an array of id / value pairs. Don't forget to provide the fields that have been configured for the session's event in its "Registration" settings page! But keep in mind that the only required field is email.
Single-select custom field values need to be sent as regular strings, whereas multi-select custom fields need to be sent as an array of strings. Here's an example of a payload:

{
  "data": {
    "type": "people",
    "attributes": {
      "fields": [
        {
          "id": "email",
          "value": "[email protected]"
        },
        {
          "id": "first_name",
          "value": "John"
        },
        {
          "id": "last_name",
          "value": "Doe"
        },
        {
          "id": "favorite_colors",
          "value": ["green"]
        },
        {
          "id": "department",
          "value": "marketing"
        }
      ],
      "referrer": "acme.com",
      "utm_source": "Twitter",
      "utm_medium": "Feed",
      "utm_campaign": "Summer",
      "utm_term": "",
      "utm_content": ""
    }
  }
}
🚧

Beware of rate limits

If you're using this endpoint to create multiple registrants at the same time, don't forget that Livestorm's API rate limits you to send up to 5 requests per second. In this case, we advise you to limit the number of calls per second.

Path Params
string
required

Session ID

Body Params
data
object
Responses

400

Bad request

401

Authentication failed

402

Active contacts allowance reached. To add more registrants, please upgrade your plan

403

Workspace blocked

404

Not found

422

Unprocessable entity

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json
*/*